// Description: A working ArmA dialog with sample usage of most controls
// By: Dr Eyeball
// Version: 1.1 (May 2007)
//-----------------------------------------------------------------------------
// LOC3_ is the unique prefix associated with all unique classes for this dialog.

//-----------------------------------------------------------------------------
// IDD's & IDC's
//-----------------------------------------------------------------------------
#define LOC3_IDD_MyTestDialog 390

#define LOC3_IDC_ListBox 891
#define LOC3_IDC_HTML 892
#define LOC3_IDC_Picture 893
#define LOC3_IDC_Text 894
#define LOC3_IDC_Map 895
#define LOC3_IDC_OkButton 896
#define LOC3_IDC_CloseButton 897
#define LOC3_IDC_Combo 898
#define LOC3_IDC_DisabledButton 899
#define LOC3_IDC_StructuredText 900

//-----------------------------------------------------------------------------
// Personalisation - Custom modifications to the standard control classes
//-----------------------------------------------------------------------------

class LOC3_Button: RscButton
{
  x = 1*Dlg_COLWIDTH;
  y = 0.1;
  w = 0.1;
};

class LOC3_BaselineButton: LOC3_Button
{
  w = 0.15;
  y = 1.0-Dlg_CONTROLHGT; // last row
};

class LOC3_Caption: Dlg_Caption
{
};

//-----------------------------------------------------------------------------
// Main dialog
//-----------------------------------------------------------------------------
class LOC3_MyTestDialog
{
  idd = LOC3_IDD_MyTestDialog;

  movingEnable = true;
  controlsBackground[] = { LOC3_Background, LOC3_Frame };

  class LOC3_Background: Dlg_FullBackground
  {
  };

  class LOC3_Frame: Dlg_FullBackgroundFrame
  {
    text = " Selection Dialog ";
  };

  //---------------------------------------------
  objects[] = 
  { 
  };
  
  controls[] = 
  {
    //---------------------------------------------
    LOC3_Combo,
    
    LOC3_ListBoxCaption,
    LOC3_ListBox,
    
    LOC3_Edit,
    LOC3_ActiveText,
    LOC3_ButtonDisabled,

    LOC3_HTMLCaption,
    LOC3_HTML,

    LOC3_PictureCaption,
    LOC3_Picture,

    LOC3_MapCaption,
    LOC3_Map,
    
    LOC3_TextCaption,
    LOC3_Text,
    LOC3_StructuredText,

    LOC3_CloseButton,
    LOC3_OkButton
  };
  //---------------------------------------------
  // captions
  class LOC3_ListBoxCaption: LOC3_Caption
  {
    x = 0.01;
    y = 0.03;
    w = 0.51;
    text = "List Box, Combo, Edit, ActiveText, Button";
  };
  class LOC3_MapCaption: LOC3_Caption
  {
    x = 0.01;
    y = 0.42;
    w = 0.51;
    text = "Map Control";
  };
  class LOC3_HTMLCaption: LOC3_Caption
  {
    x = 0.54;
    y = 0.03;
    w	= 0.45;
    text = "HTML";
  };
  class LOC3_PictureCaption: LOC3_Caption
  {
  	x	= 0.54; 
  	y	= 0.68; 
    w = 0.18;
    text = "Picture";
  };
  class LOC3_TextCaption: LOC3_Caption
  {
  	x	= 0.74; 
    y = 0.68;
    w = 0.25;
    text = "Text";
  };
  //---------------------------------------------
  // Controls
  class LOC3_ListBox: RscListBox
  { 
    idc = LOC3_IDC_ListBox;
    x = 0.01;
    y = 0.07;
    w = 0.20;
    h = 0.3;
    //text = "";
  	
    onLBSelChanged = "[_this] call LOC3_Select";
    //onLBDblClick = "[_this] call LOC3_OkButton";
  };  
  class LOC3_Combo: RscCombo
  { 
    idc = LOC3_IDC_Combo;
    x = 0.22;
    y = 0.07;
    w = 0.20;
    //text = "";
  	
    onLBSelChanged = "[_this] call LOC3_Select";
    //onLBDblClick = "[_this] call LOC3_OkButton";
  };
  class LOC3_Edit: RscEdit
  { 
    idc = LOC3_IDC_Combo;
    x = 0.22;
    y = 0.07+Dlg_ROWHGT;
    w = 0.20;
    text = "Sample text to edit";
  };
  class LOC3_ActiveText: RscActiveText
  { 
    idc = LOC3_IDC_Combo;
    x = 0.22;
    y = 0.07+(2*Dlg_ROWHGT);
    w = 0.20;
    text = "Active text";
  };
  class LOC3_ButtonDisabled: RscButton
  {
    idc = LOC3_IDC_DisabledButton;
    x = 0.22;
    y = 0.07+(3*Dlg_ROWHGT);
    w = 0.20;
    text = "Disabled button";
    action = "hint 'You should not see this message.'";
  };
  class LOC3_Map: RscMapControl
  {
    idc = LOC3_IDC_Map; 
  	colorBackground[] = {0.95, 0.95, 0.95, 1.00};
    x = 0.01;
    y = 0.46;
  	w	= 0.51;
  	h	= 0.5; 
  };
  class LOC3_HTML: RscHTML
  { 
    idc = LOC3_IDC_HTML; 
    x = 0.54;
    y = 0.07;
    w	= 0.45;
    h = 0.57;
  };
  class LOC3_Picture: RscPicture 
  { 
    idc = LOC3_IDC_Picture;
  	x	= 0.54; 
  	y	= 0.72; 
    w = 0.18;
    h = 0.24;
  };
  class LOC3_Text: RscText
  {
    idc = LOC3_IDC_Text;
    colorBackground[] = Dlg_ColorAttribute_Clear;
  	x	= 0.74; 
    y = 0.72;
    w = 0.25;
    text = "Points: 99 (Clear text BG)";
  };
  class LOC3_StructuredText: RscStructuredText
  {
    idc = LOC3_IDC_StructuredText;
  	x	= 0.74; 
    y = 0.76;
    w = 0.25;
    h = 0.2;
    text = "This is a <t color='#f000ff00'>Structured Text</t> control.";
  };
  //---------------------------------------------
  // buttons
  class LOC3_OkButton: LOC3_BaselineButton
  {
  	idc = LOC3_IDC_OkButton;
  	x = 10*Dlg_COLWIDTH;
  	text = "Select";
  	action = "[] call LOC3_OkButton";
  };
  class LOC3_CloseButton: LOC3_BaselineButton
  {
  	idc = LOC3_IDC_CloseButton;
  	x = 30*Dlg_COLWIDTH;
  	text = "Close";
  	action = "closeDialog 0";
  };
  //---------------------------------------------
};
