// Desc: Debug output dialog
// By: Dr Eyeball
// Version: 1.0 (May 2007)
//-----------------------------------------------------------------------------
// DBG3_ is the unique prefix associated with all unique classes for this dialog.

//-----------------------------------------------------------------------------
// IDD's & IDC's
//-----------------------------------------------------------------------------
#define DBG3_IDD_DebugOutputDialog 391

#define DBG3_IDC_ListBox 891
#define DBG3_IDC_StructuredText 892
#define DBG3_IDC_DetailsButton 893

//-----------------------------------------------------------------------------
// Personalisation - Custom modifications to the standard control classes
//-----------------------------------------------------------------------------

class DBG3_Button: RscButton
{
  x = 1*Dlg_COLWIDTH;
  y = 0.1;
  w = 0.1;
};

class DBG3_BaselineButton: DBG3_Button
{
  w = 0.15;
  y = 1.0-Dlg_CONTROLHGT; // last row
};

class DBG3_Caption: Dlg_Caption
{
};

//-----------------------------------------------------------------------------
// Main dialog
//-----------------------------------------------------------------------------
class DBG3_DebugOutputDialog
{
  idd = DBG3_IDD_DebugOutputDialog;

  movingEnable = true;
  controlsBackground[] = { DBG3_Background, DBG3_Frame };

  class DBG3_Background: Dlg_FullBackground
  {
    colorBackground[] = {Dlg_ColorScheme_DialogBackground,1};
  };

  class DBG3_Frame: Dlg_FullBackgroundFrame
  {
    text = " Debug Output ";
  };

  //---------------------------------------------
  objects[] = 
  { 
  };
  
  controls[] = 
  {
    DBG3_ListBoxCaption,
    DBG3_ListBox,
    DBG3_StructuredText,
    
    DBG3_DetailsButton,
    DBG3_CloseButton
  };
  //---------------------------------------------
  // Controls
  class DBG3_ListBoxCaption: DBG3_Caption
  {
    x = 0.01;
    y = 0.03;
    w = 0.98;
    text = "List";
  };
  class DBG3_ListBox: RscListBox
  { 
    idc = DBG3_IDC_ListBox;
    x = 0.01;
    y = 0.07;
    w = 0.98;
    h = 0.88;
    //text = "";
  	
    colorSelectBackground[] = {Dlg_ColorScheme_HighlightBackground,1};
    colorSelectBackground2[] = {Dlg_ColorScheme_HighlightBackground,1};

    onLBDblClick = "[_this] call DBG3_Select";
  };  
  class DBG3_StructuredText: RscStructuredText
  { 
    idc = DBG3_IDC_StructuredText;
    x = 0.01;
    y = 0.07;
    w = 0.98;
    h = 0.88;
    text = "Alpha";
  };
  //---------------------------------------------
  // buttons
  class DBG3_CloseButton: DBG3_BaselineButton
  {
  	idc = -1;
  	x = 10*Dlg_COLWIDTH;
  	text = "Close";
  	action = "closeDialog 0";
  };
  class DBG3_DetailsButton: DBG3_BaselineButton
  {
  	idc = DBG3_IDC_DetailsButton;
  	x = 30*Dlg_COLWIDTH;
  	text = "Details";
  	action = "call DBG3_Select";
  };
  //---------------------------------------------
};
